NX Open C++ Reference Guide
|
Used to create or edit a Features::ShipDesign::InverseBendingLines feature. More...
Public Types | |
enum | MeasureType { MeasureTypeLeftToRight, MeasureTypeRightToLeft } |
The direction to measure from. More... | |
enum | MethodType { MethodTypeAutomatic, MethodTypeNumberOfCurves, MethodTypeFillingCoefficient, MethodTypeEvenFit } |
The method used to generate the bending curves. More... | |
enum | NeutralMethodType { NeutralMethodTypeBaseLine, NeutralMethodTypeCenterLine, NeutralMethodTypeNeutralAxis } |
The method used to calculate the neutral line. More... | |
enum | ReferencePlaneType { ReferencePlaneTypeXCYCPlane, ReferencePlaneTypeYCZCPlane, ReferencePlaneTypeZCXCPlane, ReferencePlaneTypeNegativeXCYCPlane, ReferencePlaneTypeNegativeYCZCPlane, ReferencePlaneTypeNegativeZCXCPlane, ReferencePlaneTypeDefineCSYS } |
The reference plane to draw the diagram on. More... | |
Public Member Functions | |
bool | DrawVentHoles () |
Returns the switch that determines if vent holes are drawn in the diagram. | |
NXOpen::Expression * | Extension () |
Returns the extension added on each end of the profile. | |
double | FillingCoefficient () |
Returns the filling coefficient that represents the amplitude of the bending line relative to the profile height. | |
std::vector< NXOpen::Body * > | GetFailedProfiles (std::vector< int > &failedReasons) |
The profiles that failed and error code for each failed profile. | |
NXOpen::Expression * | GridSpacing () |
Returns the grid spacing in the diagram. | |
NXOpen::Expression * | LowerMargin () |
Returns the lower margin on the profile. | |
int | MaxNumberOfCurves () |
Returns the maximum number of curves to generate on the profile. | |
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MeasureType | Measure () |
Returns the measurement direction used in the table, left to right, or right to left. | |
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodType | Method () |
Returns the method used to calculate the number and spacing of the curves on the profile. | |
double | NeutralAxisPercent () |
Returns the height of a line through the profile that maintains a constant length when the profile is bent. | |
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralMethodType | NeutralMethod () |
Returns the neutral method determines the curve that is used for measurements and calculations when un-bending the profile. | |
double | NonlinearityCoefficient () |
Returns the nonlinearity coefficient used to determine the bending curve spacing. | |
int | NumberOfCurves () |
Returns the number of curves to generate on the profile. | |
int | NumberOfRows () |
Returns the number of rows in the table. | |
double | OffsetBetweenDiagrams () |
Returns the distance between the bottom of one table and the top of the next diagram. | |
NXOpen::Expression * | Overlap () |
Returns the overlap distance of the bending curves. | |
NXOpen::SelectBodyList * | ProfileBodies () |
Returns the profile bodies to create Inverse Bending Lines on. | |
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneType | ReferencePlane () |
Returns the reference plane type determines how you will define the plane of the diagram and table Created in NX8.0.0. | |
NXOpen::Point * | ReferencePlanePoint () |
Returns the reference plane origin when one of the standard planes is chosen. | |
void | SetDrawVentHoles (bool drawVentHoles) |
Sets the switch that determines if vent holes are drawn in the diagram. | |
void | SetFillingCoefficient (double fillingCoefficient) |
Sets the filling coefficient that represents the amplitude of the bending line relative to the profile height. | |
void | SetMaxNumberOfCurves (int maxNumberOfCurves) |
Sets the maximum number of curves to generate on the profile. | |
void | SetMeasure (NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MeasureType measure) |
Sets the measurement direction used in the table, left to right, or right to left. | |
void | SetMethod (NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodType method) |
Sets the method used to calculate the number and spacing of the curves on the profile. | |
void | SetNeutralAxisPercent (double neutralAxisPercent) |
Sets the height of a line through the profile that maintains a constant length when the profile is bent. | |
void | SetNeutralMethod (NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralMethodType neutralMethod) |
Sets the neutral method determines the curve that is used for measurements and calculations when un-bending the profile. | |
void | SetNonlinearityCoefficient (double nonlinearityCoefficient) |
Sets the nonlinearity coefficient used to determine the bending curve spacing. | |
void | SetNumberOfCurves (int numberOfCurves) |
Sets the number of curves to generate on the profile. | |
void | SetNumberOfRows (int numberOfRows) |
Sets the number of rows in the table. | |
void | SetOffsetBetweenDiagrams (double offsetBetweenDiagrams) |
Sets the distance between the bottom of one table and the top of the next diagram. | |
void | SetReferencePlane (NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneType referencePlane) |
Sets the reference plane type determines how you will define the plane of the diagram and table Created in NX8.0.0. | |
void | SetReferencePlanePoint (NXOpen::Point *referencePlanePoint) |
Sets the reference plane origin when one of the standard planes is chosen. | |
void | SetUserCsys (NXOpen::CoordinateSystem *userCsys) |
Sets the user defined CSYS used to locate and orient the tables and diagrams. | |
void | SetVarOverlapMax (int varOverlapMax) |
Sets the variable aligned overlap maximum number of grids. | |
void | SetVarOverlapMin (int varOverlapMin) |
Sets the variable aligned overlap minimum number of grids. | |
NXOpen::Expression * | SideMargin () |
Returns the side margin on each end of the profile. | |
NXOpen::Expression * | UpperMargin () |
Returns the upper margin on the profile. | |
NXOpen::CoordinateSystem * | UserCsys () |
Returns the user defined CSYS used to locate and orient the tables and diagrams. | |
NXOpen::Expression * | VarMarginIncrement () |
Returns the Increment used to vary horizontal margins for profiles. | |
NXOpen::Expression * | VarMarginMax () |
Returns the maximum horizontal margin used for profiles. | |
NXOpen::Expression * | VarMarginMin () |
Returns the minimum horizontal margin used for profiles. | |
int | VarOverlapMax () |
Returns the variable aligned overlap maximum number of grids. | |
int | VarOverlapMin () |
Returns the variable aligned overlap minimum number of grids. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Used to create or edit a Features::ShipDesign::InverseBendingLines feature.
This builder can create or edit multiple features, depending on the number of profile bodies input. <br> To create a new instance of this class, use @link Features::ShipCollection::CreateInverseBendingLinesBuilder Features::ShipCollection::CreateInverseBendingLinesBuilder @endlink <br>
Default values.
Property | Value |
---|---|
DrawVentHoles |
1 |
Extension.Value |
0 (millimeters part), 0 (inches part) |
FillingCoefficient |
0.75 |
GridSpacing.Value |
200 (millimeters part), 0 (inches part) |
LowerMargin.Value |
2.5 (millimeters part), 0 (inches part) |
MaxNumberOfCurves |
5 |
LeftToRight | |
Method |
Automatic |
NeutralAxisPercent |
60 |
NeutralMethod |
BaseLine |
NonlinearityCoefficient |
0.3 |
NumberOfCurves |
2 |
NumberOfRows |
10 |
OffsetBetweenDiagrams |
500 |
Overlap.Value |
200 (millimeters part), 0 (inches part) |
ReferencePlane |
XCYCPlane |
SideMargin.Value |
0 (millimeters part), 0 (inches part) |
UpperMargin.Value |
5 (millimeters part), 4 (inches part) |
VarMarginIncrement.Value |
20 (millimeters part), 0.75 (inches part) |
VarMarginMax.Value |
75 (millimeters part), 3 (inches part) |
VarMarginMin.Value |
15 (millimeters part), 0.75 (inches part) |
VarOverlapMax |
2 |
VarOverlapMin |
1 |
Created in NX8.0.0.
The reference plane to draw the diagram on.
bool NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::DrawVentHoles | ( | ) |
Returns the switch that determines if vent holes are drawn in the diagram.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::Extension | ( | ) |
Returns the extension added on each end of the profile.
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::FillingCoefficient | ( | ) |
Returns the filling coefficient that represents the amplitude of the bending line relative to the profile height.
Only when method is @link Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeFillingCoefficient Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeFillingCoefficient@endlink .
Created in NX8.0.0.
License requirements : None
std::vector<NXOpen::Body *> NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::GetFailedProfiles | ( | std::vector< int > & | failedReasons | ) |
The profiles that failed and error code for each failed profile.
failedReasons | The error code for each failure. |
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::GridSpacing | ( | ) |
Returns the grid spacing in the diagram.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::LowerMargin | ( | ) |
Returns the lower margin on the profile.
Created in NX8.0.0.
License requirements : None
int NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MaxNumberOfCurves | ( | ) |
Returns the maximum number of curves to generate on the profile.
Only when method is @link Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves@endlink or @link Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeEvenFit Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeEvenFit@endlink .
Created in NX8.5.0.
License requirements : None
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MeasureType NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::Measure | ( | ) |
Returns the measurement direction used in the table, left to right, or right to left.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodType NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::Method | ( | ) |
Returns the method used to calculate the number and spacing of the curves on the profile.
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralAxisPercent | ( | ) |
Returns the height of a line through the profile that maintains a constant length when the profile is bent.
Measured as a percentage of the profile height relative to the base line.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralMethodType NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralMethod | ( | ) |
Returns the neutral method determines the curve that is used for measurements and calculations when un-bending the profile.
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NonlinearityCoefficient | ( | ) |
Returns the nonlinearity coefficient used to determine the bending curve spacing.
Only when method is @link Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves@endlink .
Created in NX8.0.0.
License requirements : None
int NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NumberOfCurves | ( | ) |
Returns the number of curves to generate on the profile.
Only when method is @link Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves@endlink .
Created in NX8.0.0.
License requirements : None
int NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NumberOfRows | ( | ) |
Returns the number of rows in the table.
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::OffsetBetweenDiagrams | ( | ) |
Returns the distance between the bottom of one table and the top of the next diagram.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::Overlap | ( | ) |
Returns the overlap distance of the bending curves.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ProfileBodies | ( | ) |
Returns the profile bodies to create Inverse Bending Lines on.
<br> The list can be populated in any one of the following ways: <ul> <li>If the list of profile bodies is empty, the function will search the current workset for any bent profiles. For each profile that does not have an Inverse Bending Lines feature, a new one is created. A profile that already has an Inverse Bending Lines feature associated to it, is edited with the new parameters.</li> <li>If the list contains one or more profiles and no feature is given, an Inverse Bending Lines features will be created or edited for each profile in the list.</li> <li>If a feature is supplied to be edited, the list must contain a single bent profile that resides in the same design element as the feature.</li> </ul> <br>
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneType NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlane | ( | ) |
Returns the reference plane type determines how you will define the plane of the diagram and table
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlanePoint | ( | ) |
Returns the reference plane origin when one of the standard planes is chosen.
Only when reference plane type is one of: <ul> <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeXCYCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeXCYCPlane@endlink </li>. <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeYCZCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeYCZCPlane@endlink </li>. <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeZCXCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeZCXCPlane@endlink </li>. <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeXCYCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeXCYCPlane@endlink </li>. <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeYCZCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeYCZCPlane@endlink </li>. <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeZCXCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeZCXCPlane@endlink </li>. </ul>
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetDrawVentHoles | ( | bool | drawVentHoles | ) |
Sets the switch that determines if vent holes are drawn in the diagram.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
drawVentHoles | drawventholes |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetFillingCoefficient | ( | double | fillingCoefficient | ) |
Sets the filling coefficient that represents the amplitude of the bending line relative to the profile height.
Only when method is @link Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeFillingCoefficient Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeFillingCoefficient@endlink .
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
fillingCoefficient | fillingcoefficient |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetMaxNumberOfCurves | ( | int | maxNumberOfCurves | ) |
Sets the maximum number of curves to generate on the profile.
Only when method is @link Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves@endlink or @link Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeEvenFit Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeEvenFit@endlink .
Created in NX8.5.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
maxNumberOfCurves | maxnumberofcurves |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetMeasure | ( | NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MeasureType | measure | ) |
Sets the measurement direction used in the table, left to right, or right to left.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
measure | measure |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetMethod | ( | NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodType | method | ) |
Sets the method used to calculate the number and spacing of the curves on the profile.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
method | method |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetNeutralAxisPercent | ( | double | neutralAxisPercent | ) |
Sets the height of a line through the profile that maintains a constant length when the profile is bent.
Measured as a percentage of the profile height relative to the base line.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
neutralAxisPercent | neutralaxispercent |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetNeutralMethod | ( | NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralMethodType | neutralMethod | ) |
Sets the neutral method determines the curve that is used for measurements and calculations when un-bending the profile.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
neutralMethod | neutralmethod |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetNonlinearityCoefficient | ( | double | nonlinearityCoefficient | ) |
Sets the nonlinearity coefficient used to determine the bending curve spacing.
Only when method is @link Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves@endlink .
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
nonlinearityCoefficient | nonlinearitycoefficient |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetNumberOfCurves | ( | int | numberOfCurves | ) |
Sets the number of curves to generate on the profile.
Only when method is @link Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves@endlink .
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
numberOfCurves | numberofcurves |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetNumberOfRows | ( | int | numberOfRows | ) |
Sets the number of rows in the table.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
numberOfRows | numberofrows |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetOffsetBetweenDiagrams | ( | double | offsetBetweenDiagrams | ) |
Sets the distance between the bottom of one table and the top of the next diagram.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
offsetBetweenDiagrams | offsetbetweendiagrams |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetReferencePlane | ( | NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneType | referencePlane | ) |
Sets the reference plane type determines how you will define the plane of the diagram and table
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
referencePlane | referenceplane |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetReferencePlanePoint | ( | NXOpen::Point * | referencePlanePoint | ) |
Sets the reference plane origin when one of the standard planes is chosen.
Only when reference plane type is one of: <ul> <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeXCYCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeXCYCPlane@endlink </li>. <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeYCZCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeYCZCPlane@endlink </li>. <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeZCXCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeZCXCPlane@endlink </li>. <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeXCYCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeXCYCPlane@endlink </li>. <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeYCZCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeYCZCPlane@endlink </li>. <li>@link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeZCXCPlane Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeNegativeZCXCPlane@endlink </li>. </ul>
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
referencePlanePoint | referenceplanepoint |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetUserCsys | ( | NXOpen::CoordinateSystem * | userCsys | ) |
Sets the user defined CSYS used to locate and orient the tables and diagrams.
Only when reference plane type is @link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeDefineCSYS Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeDefineCSYS@endlink .
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
userCsys | usercsys |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetVarOverlapMax | ( | int | varOverlapMax | ) |
Sets the variable aligned overlap maximum number of grids.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
varOverlapMax | varoverlapmax |
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetVarOverlapMin | ( | int | varOverlapMin | ) |
Sets the variable aligned overlap minimum number of grids.
Created in NX8.5.0.
License requirements : nx_ship_concept ("Ship Concept")
varOverlapMin | varoverlapmin |
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SideMargin | ( | ) |
Returns the side margin on each end of the profile.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::UpperMargin | ( | ) |
Returns the upper margin on the profile.
Created in NX8.0.0.
License requirements : None
NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::UserCsys | ( | ) |
Returns the user defined CSYS used to locate and orient the tables and diagrams.
Only when reference plane type is @link Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeDefineCSYS Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeDefineCSYS@endlink .
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::VarMarginIncrement | ( | ) |
Returns the Increment used to vary horizontal margins for profiles.
Created in NX8.5.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::VarMarginMax | ( | ) |
Returns the maximum horizontal margin used for profiles.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::VarMarginMin | ( | ) |
Returns the minimum horizontal margin used for profiles.
Created in NX8.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::VarOverlapMax | ( | ) |
Returns the variable aligned overlap maximum number of grids.
Created in NX8.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::VarOverlapMin | ( | ) |
Returns the variable aligned overlap minimum number of grids.
Created in NX8.5.0.
License requirements : None